Get a knowledge document
Return a knowledge document with its content and active agent dependencies.
Endpoint
GET
/api/v1/workspaces/{workspace_id}/knowledge/{document_id}Authentication
| Operation class | Authentication | Minimum role | API key |
|---|---|---|---|
| dashboard-session-api | Dashboard session cookie; mutations also require X-CX-Request: 1. | member | Not allowed |
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
workspace_id | path | string | Yes | — |
document_id | path | string | Yes | — |
Request body
This operation has no request body.
Example
curl --request GET 'https://operade.ai/api/v1/workspaces/ws_demo/knowledge/doc_demo' \ --cookie 'cx_session=YOUR_SESSION_COOKIE'
Responses
| Status | Description | Content |
|---|---|---|
4XX | Handled client error | application/json: ErrorResponse |
200 | Successful Response | application/json: KnowledgeDocumentDetailResponse |
4XX application/json response schema
| Field path | Type | Reference | Format | Nullable | Required | Enum | Description |
|---|---|---|---|---|---|---|---|
$ | object | ErrorResponse | — | No | Yes | — | — |
error | object | ErrorItem | — | No | Yes | — | — |
error.code | string | — | — | No | Yes | — | — |
error.details | object | — | — | No | No | — | — |
error.message | string | — | — | No | Yes | — | — |
200 application/json response schema
| Field path | Type | Reference | Format | Nullable | Required | Enum | Description |
|---|---|---|---|---|---|---|---|
$ | object | KnowledgeDocumentDetailResponse | — | No | Yes | — | — |
byte_size | integer | — | — | No | Yes | — | — |
chunk_count | integer | — | — | No | Yes | — | — |
content | string or null | — | — | Yes | Yes | — | — |
created_at | string | — | date-time | No | Yes | — | — |
created_by | object | KnowledgeCreator | — | No | Yes | — | — |
created_by.email | string | — | — | No | Yes | — | — |
created_by.id | string | — | — | No | Yes | — | — |
created_by.name | string | — | — | No | Yes | — | — |
dependent_agents | array<KnowledgeDependentAgent> | — | — | No | Yes | — | — |
dependent_agents[] | object | KnowledgeDependentAgent | — | No | Yes | — | — |
dependent_agents[].id | string | — | — | No | Yes | — | — |
dependent_agents[].name | string | — | — | No | Yes | — | — |
error | string or null | — | — | Yes | Yes | — | — |
folder_id | string or null | — | — | Yes | Yes | — | — |
id | string | — | — | No | Yes | — | — |
indexed_at | string or null | — | date-time | Yes | Yes | — | — |
name | string | — | — | No | Yes | — | — |
source_url | string or null | — | — | Yes | Yes | — | — |
status | string | — | — | No | Yes | "pending", "indexing", "ready", "failed" | — |
type | string | — | — | No | Yes | "text", "file", "url" | — |
updated_at | string | — | date-time | No | Yes | — | — |
Response example
{
"id": "string",
"name": "string",
"type": "text",
"status": "pending",
"error": "string",
"byte_size": 0,
"chunk_count": 0,
"created_by": {
"id": "string",
"name": "string",
"email": "string"
},
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z",
"indexed_at": "2026-01-01T00:00:00Z",
"source_url": "string",
"folder_id": "string",
"content": "string",
"dependent_agents": []
}Errors
Reviewed common and route-declared errors are summarized here; the list is not exhaustive. Start with the distributed error index to find each code's canonical domain page.
| Status | Code | Description |
|---|---|---|
401 | unauthenticated | Authentication is missing, invalid, or revoked. |
403 | forbidden | The authenticated caller does not have access to this operation. |
404 | not_found | The requested workspace resource was not found. |
